Skip to main content

Create Base Asset - Get Upload Link

POST 

/api/v2/rawmodel/api-upload/start

This endpoint initiates a new base asset upload process and returns:

  1. An ID for the new base asset
  2. Pre-signed URLs for direct file uploads to our s3 storage

Upload Process:

  1. Call this endpoint to get the upload URLs
  2. For each file in the s3_upload_urls:
    • Upload the file using an HTTP PUT request to the provided URL
  3. After ALL files are uploaded, call the complete_upload URL to finalize the process

Step by Step Usage:

  1. Upload mymodel.glb:
    • curl -X PUT -T "mymodel.glb" "use-signed-url-for-glb"
  2. Upload material.mat:
    • curl -X PUT -T "material.mat" "use-signed-url-for-mat"
  3. Finally, call the complete_upload URL:
    • curl -X GET "use-complete-upload-url"

Request​

Body

required
    model_name stringrequired

    The name of the base asset

    filenames string[]required

    The names of the files to be uploaded (including the extension)

    is_zip boolean

    Indicate if the file is a zip

    dcci_options object

    Optional DCCI (DCC import) settings, applied when the uploaded file is a DCC file such as 3ds Max. When omitted, null or empty, the default values listed below are used. Sending options requires a plan with DCC import support. Options you omit use their default. The available options and allowed values are listed in the documentation. Unknown options or invalid values are rejected with a 422.

    nodesToIgnore string[]

    Node names to ignore (array of strings or a comma-separated string). Default: none.

    materialsToIgnore string[]

    Material names to ignore (array of strings or a comma-separated string). Default: none.

    bakeAO boolean

    Bake an Ambient Occlusion map for each material. Default: false.

    bakeDisplacement boolean

    Bake displacement. Default: false.

    convertHair boolean

    Convert hair. Default: false.

    mergeByMaterial boolean

    Merge meshes by material. Default: false.

    forceMaterialBaking boolean

    Force material baking. Default: false.

    iorToMetalness boolean

    Convert IOR to metalness. Default: false.

    resolution integer

    Baking resolution, one of 256, 512, 1024, 2048, 4096. Default: 2048.

    maxFileVersion integer

    Output 3ds Max file version, one of 2022, 2023, 2024, 2025. Default: 2025.

Responses​

success

Schema
    id integer
    links object
    s3_upload_urls object
    mymodel.glb string
    material.mat string
    complete_upload string
Loading...